Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1073 (closed defect: fixed)

Opened 13 years ago

Last modified 12 years ago

Function ath_node_free sometimes crashes on IXP425 platform

Reported by: anonymous Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

It seems that ath_node_free function is sometime being called on NULL node which causes it to crash. I'm having IXP425 platform based AP running kernel 2.6.18-rt7. Simply NULL checking prevents from crash - see attached patch.

Attachments

ath_node_free_crash_fix.diff (0.7 kB) - added by rozteck@interia.pl on 01/08/07 11:23:56.
Patch for fixing the bug described above
ath_node_free_crash_fix.2.diff (0.7 kB) - added by rozteck@interia.pl on 01/09/07 10:21:39.
Adds NULL checking into ath_node_free function to prevent from crash when called with NULL parameter. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

Change History

01/08/07 11:23:56 changed by rozteck@interia.pl

  • attachment ath_node_free_crash_fix.diff added.

Patch for fixing the bug described above

01/08/07 11:35:44 changed by mrenzmann

Please sign off the patch so that it can be committed to the repository after evaluation.

01/09/07 10:21:39 changed by rozteck@interia.pl

  • attachment ath_node_free_crash_fix.2.diff added.

Adds NULL checking into ath_node_free function to prevent from crash when called with NULL parameter. Signed-off-by: Tomasz Rostanski <rozteck@interia.pl>

01/16/07 17:05:02 changed by rozteck@interia.pl

Can be fixed by applying patch from ticket #907.

01/24/07 07:13:42 changed by rozteck@interia.pl

And is being fixed that that patch.

06/21/07 21:05:38 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

This should be fixed in trunk. Please re-open if otherwise.

06/27/07 12:13:02 changed by mrenzmann

  • milestone set to version 0.9.4.

02/11/08 06:15:01 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.